## das-watchdog 0.3.1

=== Makefile ===

VERSION=0.3.1

FLAGS=-O2 `pkg-config --libs --cflags libgtop-2.0` -Wall -lpthread -DWHICH_XMESSAGE=\"`which xmessage`\"  -DVERSION=\"$(VERSION)\"

all:
	which xmessage
	gcc das_watchdog.c -o das_watchdog $(FLAGS)
	gcc test_rt.c -o test_rt
	@echo
	@echo "das_watchdog and test_rt compiled. Now testing IRQ priorities..."
	@sh -c './das_watchdog --checkirq;echo ""'
clean:
	rm das_watchdog test_rt *~

## das-watchdog 0.9.0

=== Makefile ===

VERSION=0.9.0

FLAGS=-O2 `pkg-config --libs --cflags libgtop-2.0` -Wall -lpthread -DWHICH_XMESSAGE=\"`which xmessage`\"  -DVERSION=\"$(VERSION)\"

TAR=das_watchdog

DIST=$(TAR)-$(VERSION)


all:
	which xmessage
	gcc das_watchdog.c -o das_watchdog $(FLAGS)
	gcc test_rt.c -o test_rt

dist:
	make clean
	rm -fr $(DIST).tar.gz /tmp/$(DIST)
	mkdir /tmp/$(DIST)
	cp -a * /tmp/$(DIST)
	mv /tmp/$(DIST) .
	tar cvf $(DIST).tar $(DIST)
	gzip $(DIST).tar
	marcel_upload $(DIST).tar.gz

clean:
	rm -f das_watchdog test_rt *~

=== debian/changelog ===
das-watchdog (0.9.0-6) unstable; urgency=medium

  * Team upload.
  * debian/copyright: Convert to machine-readable format
  * debian/control: update package description (Closes: #1052226)
  * debian/control: Add Homepage
  * Standards-Version: 4.7.2 (routine-update)
  * watch file standard 4 (routine-update)
  * Add debian/upstream/metadata

 -- Dylan Aïssi <daissi@debian.org>  Sat, 23 Aug 2025 11:14:05 +0200

das-watchdog (0.9.0-5) unstable; urgency=medium

  * Team upload
  * debian/patches: Fix build with -Werror=implicit-functon-declaration
    (Closes: #1066286)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 24 Apr 2024 22:21:36 +0200

das-watchdog (0.9.0-4) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Sebastian Ramacher ]
  * debian/control:
    - Bump Standards-Version
    - Bump debhelper compat to 13

 -- Bastian Germann <bage@debian.org>  Tue, 19 Sep 2023 11:40:34 +0200

das-watchdog (0.9.0-3.2) unstable; urgency=high

  * Non-maintainer upload.
  * Add fix-memory-leak-on-realloc.patch patch.
    Fix potential memory leak on realloc and causing "NULL+i" (write)
    dereference afterwards.
    Thanks to Niels Thykier <niels@thykier.net>

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 11 Apr 2015 07:19:29 +0200

das-watchdog (0.9.0-3.1) unstable; urgency=high

  * Non-maintainer upload.
  * Fix buffer overflow in the handling of the XAUTHORITY env variable
    (CVE-2015-2831) (Closes: #781806)
  * Remove duplicate check for temp[i] == '\0' in das_watchdog.c
  * Fix infinite loop on platforms where char is unsigned

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 10 Apr 2015 22:19:18 +0200

das-watchdog (0.9.0-3) unstable; urgency=low

  * Team upload.
  * Hardening fixes:
    - Patch buildsystem to accept compiler and linker flags set in the
      external environment.
    - Add patch to fix build failure with -Werror=format-security.
    - Bump DH compat and build-dep to 9.
  * Remove myself from the uploaders list.
  * Fix VCS urls according to the canonical form.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Wed, 16 Oct 2013 17:30:42 +0100

das-watchdog (0.9.0-2) unstable; urgency=low

  * Add Vcs-* tags.
  * Bump Standards.
  * Change my email address.
  * Switch to format 3.0 (quilt).
  * Add debian/gbp.conf,.gitignore files.

 -- Alessio Treglia <alessio@debian.org>  Tue, 13 Jul 2010 11:02:43 +0200

das-watchdog (0.9.0-1) unstable; urgency=low

  * New upstream release.
  * Switch to debhelper 7.
  * Adopt quilt as patch system.
  * Drop Makefile patch. unnecessary.
  * Rename rc.patch -> 01-rc.patch:
  * debian/patches/01-rc.patch:
    - Refresh.
    - Add short description.
  * debian/control:
    - Add myself to Uploaders field.
    - Change maintainer to Debian Multimedia Maintainers.
    - Bump-up Standards-Version.
    - Drop cdbs build-dependency.
    - Replace {build-,}dependencies on xbase-clients with x11-utils;
      Closes: #475378.
  * Install README file as upstream's changelog.
  * Update debian/copyright.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sat, 12 Dec 2009 11:04:39 +0100

das-watchdog (0.3.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Added LSB formatted dependency info in init.d script (closes: #469025)
  * Fixed watch file (closes: #450025)
  * Removed unused build dependency dpatch
  * Updated standards version

 -- Peter Eisentraut <petere@debian.org>  Thu, 03 Apr 2008 13:50:36 +0200

das-watchdog (0.3.1-2) unstable; urgency=low

  * should be started on installation and on reboots (Closes: #428062)
  * short description is broken (Closes: #427471)

 -- Free Ekanayaka <freee@debian.org>  Tue,  7 Aug 2007 01:36:41 +0200

das-watchdog (0.3.1-1) unstable; urgency=low

  * Initial release (Closes: #426463)

 -- Free Ekanayaka <freee@debian.org>  Sat, 26 May 2007 09:54:28 +0200

=== debian/control ===
Source: das-watchdog
Section: admin
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Free Ekanayaka <freee@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libgtop2-dev,
 x11-utils
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/multimedia-team/das-watchdog.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/das-watchdog
Homepage: https://github.com/kmatheussen/das_watchdog

Package: das-watchdog
Architecture: any
Depends:
 x11-utils,
 ${misc:Depends},
 ${shlibs:Depends}
Description: solves system lock-ups by making all processes non-realtime
 Das_Watchdog is a general watchdog for the Linux operating system that
 should be run in the background at all times to ensure a realtime process
 won't hang the machine.
 .
 Das_Watchdog is inspired by the rt_watchdog program from Florian Schmidt,
 but has some improvements over it:
  * Instead of permanently setting all realtime processes to run
    non-realtime, das_watchdog only sets them temporary.
  * When the watchdog kicks in, an X window should pop up that tells you
    whats happening (just close it after reading the message).

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/das-watchdog.init

override_dh_installinit:
	ln -s ../das_watchdog.rc debian/das-watchdog.init
	dh_installinit

override_dh_installchangelogs:
	dh_installchangelogs README

=== debian/watch ===
version=4
http://www.notam02.no/arkiv/src/das_watchdog-(.*)\.tar.gz	debian	uupdate
